%global commit e09a91af0270a659d7e50f945d14c9754361e0f4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:		kmod-mt7601
Version:	20150218git
Release:	2%{?dist}
Summary:	kmod driver for MT7601 Wireless Adapter

License:	GPLv2+
URL:		http://www.mediatek.com/en/downloads/mt7601u-usb/
Source0:        https://github.com/porjo/mt7601/archive/%{commit}/mt7601-%{commit}.tar.gz
#Source0:        https://github.com/porjo/mt7601/archive/e09a91af0270a659d7e50f945d14c9754361e0f4/mt7601-e09a91af0270a659d7e50f945d14c9754361e0f4.tar.gz
#Source0:	http://www.mediatek.com/AmazonS3/Downloads/linux/DPO_MT7601U_LinuxSTA_3.0.0.4_20130913.tar.bz2
#Source1:	generate-tarball.sh
#Patch1:		kmod-mt7601-tencent-wifi.patch

BuildRequires:	kernel-devel

%description
The MT7601 driver is to support MT7601 based Wireless Adapter on Linux. Including Tencent Wifi, Xiaomi Wifi, XiaoDu Wifi etc.

%prep
%setup -qn mt7601-%{commit}/src
sed -i 's# \$(DAT_PATH)# %{buildroot}\$(DAT_PATH)#g' os/linux/Makefile.4
sed -i 's#\$(LINUX_SRC_MODULE)$#\%{buildroot}\$(LINUX_SRC_MODULE)#g' os/linux/Makefile.4
sed -i 's# \$(DAT_PATH)# %{buildroot}\$(DAT_PATH)#g' os/linux/Makefile.6
sed -i 's#\$(LINUX_SRC_MODULE)$#\%{buildroot}\$(LINUX_SRC_MODULE)#g' os/linux/Makefile.6
sed -i 's#\$(shell \[ ! -f /etc/Wireless \] \&\& mkdir /etc/Wireless)#\$(shell \[ ! -f %{buildroot}/etc/Wireless \] \&\& mkdir -p %{buildroot}/etc/Wireless)#g' os/linux/Makefile.4
sed -i 's#\$(shell \[ ! -f /etc/Wireless \] \&\& mkdir /etc/Wireless)#\$(shell \[ ! -f %{buildroot}/etc/Wireless \] \&\& mkdir -p %{buildroot}/etc/Wireless)#g' os/linux/Makefile.6
sed -i 's#\$(shell \[ ! -f /etc/Wireless \] \&\& mkdir /etc/Wireless)#\$(shell \[ ! -f %{buildroot}/etc/Wireless \] \&\& mkdir -p %{buildroot}/etc/Wireless)#g' Makefile
cp /lib/modules/$(uname -r)/build/Module.symvers os/linux

%build
make %{?_smp_mflags}


%install
make install


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/Wireless/RT2870STA/RT2870STA.dat
/lib/modules/*/kernel/drivers/net/wireless/mt7601Usta.ko

%post
/sbin/depmod -a `uname -r`


%changelog
* Sun Mar 15 2015 Zamir SUN <zsun@fedoraproject.org> - 3.0.0.4-2
- Switch to github source code.
* Sun Mar 15 2015 Zamir SUN <zsun@fedoraproject.org> - 3.0.0.4-1
- Initial the rpm
